Subject: Re: bug#15224: 24.3; newline does not move point to next line

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 20:48:21 -0700

Nils Anders Danielsson <[email-masked]> writes:

> Bug description
> ---------------
>
> In some situations newline fails to move point to the next line, even
> though the newly inserted line is blank.
>
> To reproduce the bug, run the following command:
>
>   emacs -Q --eval '(progn (fundamental-mode)
>
>                           (modify-syntax-entry ?/  ". 124b")
>                           (modify-syntax-entry ?*  ". 23")
>                           (modify-syntax-entry ?\n "> b")
>
>                           (setq comment-start "// ")
>
>                           (auto-fill-mode 1)
>                           (setq fill-column 9)
>                           (setq comment-auto-fill-only-comments t)
>
>                           (insert "/*  //x  x")
>                           (newline))'
>
> Expected result: A newline character should be inserted, and point
> should move to the next line.
>
> Actual result: A newline character is inserted, but point is not moved.
> The *Messages* buffer contains the following message:
>
>   comment-search-backward: Beginning of buffer

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I'm unable to reproduce this bug in Emacs 27, so I'm guessing it's been
fixed in the intervening years.  If you can still see this bug in Emacs
27, please reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no